<template>
  <q-dialog persistent transition-show="flip-down" transition-hide="flip-up" @hide="hide" v-model="show">
    <q-card class="d-form-template q-mx-lg">
      <q-toolbar>
        <q-toolbar-title class="text-h5 text-center">{{ title }}</q-toolbar-title>
        <q-btn dense flat icon="close" v-close-popup>
          <q-tooltip content-class="bg-white text-primary">Cerrar</q-tooltip>
        </q-btn>
      </q-toolbar>
      <q-card-section>
        <slot></slot>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  props: ['title'],
  data () {
    return {
      show: true
    }
  },
  methods: {
    hide () {
      this.show = false
      this.$router.go(-1)
    }
  }
}
</script>
